/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    $(".hero-slider").owlCarousel({
        transitionStyle: "fadeUp",
        navigation: true,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 4000,
        pagination: false,
        stopOnHover: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"]
    });

    $(".match-slider").owlCarousel({
        navigation: true,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 4000,
        pagination: false,
        stopOnHover: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i> السابق</span>", "<span class='slider-right'>التالي <i class='fa fa-angle-right'></i></span>"]
    });

    $(".week-slider").owlCarousel({
        autoPlay: 2500,
        stopOnHover: true,
        items: 6,
        mouseDrag: true,
        itemsDesktop: [1199, 3],
        itemsTabletSmall: [768, 3],
        itemsMobile: [480, 2],
        pagination: false,
        navigation: false
    });

    $(".spon-slider").owlCarousel({
        autoPlay: 2500,
        stopOnHover: true,
        items: 5,
        mouseDrag: true,
        itemsDesktop: [1199, 5],
        itemsTabletSmall: [768, 4],
        itemsMobile: [480, 2],
        pagination: false,
        navigation: false
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('.head_search .form-group, .open-srch').on("click", function (e) {
        e.stopPropagation();
    });

    var head_tall = $('.main-head').innerHeight();

    $('.hero-sec, .hero-slider .item').height(window.innerHeight - head_tall);

    $('.privacy p, .last-inners').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "dark-3"
    });

    $(".p-body").mCustomScrollbar({
        axis: "x",
        theme: "dark-3",
        advanced: {
            autoExpandHorizontalScroll: true
        },
        setTop: 0,
        scrollInertia: 100
    });
    $('#comming-countdown').countdown({
        date: '10/7/2018 13:41:59',
        offset: -100,
        day: 'Day',
        days: 'Days'
    }, function () {
        alert('Done!');
    });

    $(".various").fancybox({
        maxWidth: 800,
        maxHeight: 500,
        fitToView: false,
        width: '70%',
        height: '70%',
        autoSize: false,
        closeClick: false,
        openEffect: 'none',
        closeEffect: 'none'
    });
    
    $(".fancybox").fancybox();

});